NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAE.FluidDomainBuilder Class Reference

Represents a NXOpen.CAE.FluidDomainRecipe More...

Inheritance diagram for NXOpen.CAE.FluidDomainBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  IntExtType { FaceAndNormalVector, Point, CavityPoints, FromExterior }
 Represents the interior/exterior types. More...
 
enum  OutputOptionsType { BodyOnly, BodyandMesh, MeshOnly }
 Represents the output types. More...
 
enum  SubdivisionType {
  One, Two, Three, Four,
  Five, Six, Seven, Eight
}
 Represents the subdivision types. More...
 

Public Member Functions

unsafe void AutoSizeButton ()
 The calculate Auto Size method. More...
 
unsafe NXOpen.CAE.CAEBody CommitFluidDomain ()
 Commits the creation of the NXOpen.CAE.FluidDomainRecipe objects or Commits the changes made to the NXOpen.CAE.FluidDomainRecipe More...
 
unsafe void SetCavityPoint (NXOpen.Point3d points)
 Set the cavity point More...
 
unsafe void SetCavityPoints (NXOpen.Point3d[] points)
 Set the cavity points via an array More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AttemptQuadOnly [get, set]
 Returns or sets the attempt quad only flag. More...
 
unsafe double ColinearThreshold [get, set]
 Returns or sets the colinear decimation threshold - obsolete: always using surface wrapper default values More...
 
unsafe string CollectorName [get, set]
 Returns or sets the collector name selection to place the new element collector into More...
 
unsafe double CoplanarThreshold [get, set]
 Returns or sets the coplanar decimation threshold - obsolete: always using surface wrapper default values More...
 
unsafe double CurvatureBasedElementSizeLevel [get, set]
 Returns or sets the curvature based element size level parameter controls the minimum element size the wrapper engine is allowed to use in curved regions More...
 
unsafe bool DetectFeatureEdges [get, set]
 Returns or sets the detect feature edges will generate bodies and meshes that are more conformant to the input boundaries around the detected edges More...
 
unsafe bool DoCoplanarDecimation [get, set]
 Returns or sets the decimation flag - obsolete: always using surface wrapper default values More...
 
unsafe bool DoExportMeshToSolver [get, set]
 Returns or sets the export mesh to solver flag. More...
 
unsafe bool DoSharpFeatureEdge [get, set]
 Returns or sets the edge snapping flag - obsolete: use SnapToSourceBoundaries() instead More...
 
unsafe bool DoSharpFeaturePlaneIntersection [get, set]
 Returns or sets the plane intersection detection flag - obsolete: use SnapToSourceBoundaries() instead More...
 
unsafe NXOpen.Expression ElementSize [get]
 Returns the element size More...
 
unsafe
NXOpen.CAE.ElementTypeBuilder 
ElementType [get]
 Returns the element type builder More...
 
unsafe NXOpen.Direction FaceNormal [get, set]
 Returns or sets the face normal More...
 
unsafe NXOpen.CAE.SelectCAEFace FaceSelection [get]
 Returns the face selection More...
 
unsafe NXOpen.Expression FeatureAngle [get]
 Returns the feature angle specifies the minimum angle between the normals of 2 elements sharing an edge for the edge to be considered for snapping More...
 
unsafe
NXOpen.SelectTaggedObjectList 
GeometrySelection [get]
 Returns the geometry selection More...
 
unsafe
NXOpen.CAE.FluidDomainBuilder.IntExtType 
InteriorExteriorType [get, set]
 Returns or sets the interior selection type represented by NXOpen.CAE.FluidDomainBuilder.IntExtType More...
 
unsafe NXOpen.Point InteriorPoint [get, set]
 Returns or sets the interior point. More...
 
unsafe
NXOpen.CAE.FluidDomainBuilder.SubdivisionType 
MaxSubdivisionType [get, set]
 Returns or sets the max subdivision selection type represented by NXOpen.CAE.FluidDomainBuilder.SubdivisionType More...
 
unsafe
NXOpen.CAE.FluidDomainBuilder.OutputOptionsType 
OutputType [get, set]
 Returns or sets the output selection type represented by NXOpen.CAE.FluidDomainBuilder.OutputOptionsType More...
 
unsafe NXOpen.Expression Resolution [get]
 Returns the resolution More...
 
unsafe double SmoothingLevel [get, set]
 Returns or sets the smoothing level parameter controls the amount of time spent smoothing and snapping in the wrapper engine More...
 
unsafe bool SnapToSourceBoundaries [get, set]
 Returns or sets the edge snapping to boundaries flag controls whether or not the generated surface wrap body should be projected on the input boundaries More...
 
unsafe bool SpecifyElementSize [get, set]
 Returns or sets the specify element size flag. More...
 
unsafe bool UseAutomaticRefinement [get, set]
 Returns or sets the use automatic refinement flag. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.FluidDomainRecipe

To create a new instance of this class, use NXOpen.CAE.FluidDomainCollection.CreateBuilder

Created in NX7.5.2

Member Enumeration Documentation

Represents the interior/exterior types.

Enumerator
FaceAndNormalVector 

The interior specified by providing a face and a normal.

Point 

The interior specified by providing a point.

CavityPoints 

The interior specified by cavity points.

FromExterior 

Wrap from the exterior.

Represents the output types.

Enumerator
BodyOnly 

The output type specified as only body generation.

BodyandMesh 

The output type specified as body and mesh generation.

MeshOnly 

The output type specified as only mesh genberation.

Represents the subdivision types.

Enumerator
One 
Two 
Three 
Four 
Five 
Six 
Seven 
Eight 

Member Function Documentation

unsafe void NXOpen.CAE.FluidDomainBuilder.AutoSizeButton ( )
inline

The calculate Auto Size method.

This computes and populates optimal resolution for surface wrapping.

Created in NX7.5.2

License requirements: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.CAE.CAEBody NXOpen.CAE.FluidDomainBuilder.CommitFluidDomain ( )
inline

Commits the creation of the NXOpen.CAE.FluidDomainRecipe objects or Commits the changes made to the NXOpen.CAE.FluidDomainRecipe

Created in NX7.5.2

License requirements: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

Returns
unsafe void NXOpen.CAE.FluidDomainBuilder.SetCavityPoint ( NXOpen.Point3d  points)
inline

Set the cavity point

Created in NX12.0.0

License requirements: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

Parameters
points
unsafe void NXOpen.CAE.FluidDomainBuilder.SetCavityPoints ( NXOpen.Point3d[]  points)
inline

Set the cavity points via an array

Created in NX12.0.0

License requirements: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

Parameters
points

Property Documentation

unsafe bool NXOpen.CAE.FluidDomainBuilder.AttemptQuadOnly
getset

Returns or sets the attempt quad only flag.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe double NXOpen.CAE.FluidDomainBuilder.ColinearThreshold
getset

Returns or sets the colinear decimation threshold - obsolete: always using surface wrapper default values

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe string NXOpen.CAE.FluidDomainBuilder.CollectorName
getset

Returns or sets the collector name selection to place the new element collector into

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe double NXOpen.CAE.FluidDomainBuilder.CoplanarThreshold
getset

Returns or sets the coplanar decimation threshold - obsolete: always using surface wrapper default values

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe double NXOpen.CAE.FluidDomainBuilder.CurvatureBasedElementSizeLevel
getset

Returns or sets the curvature based element size level parameter controls the minimum element size the wrapper engine is allowed to use in curved regions

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe bool NXOpen.CAE.FluidDomainBuilder.DetectFeatureEdges
getset

Returns or sets the detect feature edges will generate bodies and meshes that are more conformant to the input boundaries around the detected edges

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe bool NXOpen.CAE.FluidDomainBuilder.DoCoplanarDecimation
getset

Returns or sets the decimation flag - obsolete: always using surface wrapper default values

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe bool NXOpen.CAE.FluidDomainBuilder.DoExportMeshToSolver
getset

Returns or sets the export mesh to solver flag.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe bool NXOpen.CAE.FluidDomainBuilder.DoSharpFeatureEdge
getset

Returns or sets the edge snapping flag - obsolete: use SnapToSourceBoundaries() instead

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe bool NXOpen.CAE.FluidDomainBuilder.DoSharpFeaturePlaneIntersection
getset

Returns or sets the plane intersection detection flag - obsolete: use SnapToSourceBoundaries() instead

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.Expression NXOpen.CAE.FluidDomainBuilder.ElementSize
get

Returns the element size

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.CAE.ElementTypeBuilder NXOpen.CAE.FluidDomainBuilder.ElementType
get

Returns the element type builder

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.CAE.FluidDomainBuilder.FaceNormal
getset

Returns or sets the face normal

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.CAE.SelectCAEFace NXOpen.CAE.FluidDomainBuilder.FaceSelection
get

Returns the face selection

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.FluidDomainBuilder.FeatureAngle
get

Returns the feature angle specifies the minimum angle between the normals of 2 elements sharing an edge for the edge to be considered for snapping

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.FluidDomainBuilder.GeometrySelection
get

Returns the geometry selection

Created in NX7.5.2

License requirements: None.

unsafe NXOpen.CAE.FluidDomainBuilder.IntExtType NXOpen.CAE.FluidDomainBuilder.InteriorExteriorType
getset

Returns or sets the interior selection type represented by NXOpen.CAE.FluidDomainBuilder.IntExtType

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.Point NXOpen.CAE.FluidDomainBuilder.InteriorPoint
getset

Returns or sets the interior point.

Created in NX7.5.2

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.CAE.FluidDomainBuilder.SubdivisionType NXOpen.CAE.FluidDomainBuilder.MaxSubdivisionType
getset

Returns or sets the max subdivision selection type represented by NXOpen.CAE.FluidDomainBuilder.SubdivisionType

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.CAE.FluidDomainBuilder.OutputOptionsType NXOpen.CAE.FluidDomainBuilder.OutputType
getset

Returns or sets the output selection type represented by NXOpen.CAE.FluidDomainBuilder.OutputOptionsType

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe NXOpen.Expression NXOpen.CAE.FluidDomainBuilder.Resolution
get

Returns the resolution

Created in NX7.5.2

License requirements: None.

unsafe double NXOpen.CAE.FluidDomainBuilder.SmoothingLevel
getset

Returns or sets the smoothing level parameter controls the amount of time spent smoothing and snapping in the wrapper engine

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe bool NXOpen.CAE.FluidDomainBuilder.SnapToSourceBoundaries
getset

Returns or sets the edge snapping to boundaries flag controls whether or not the generated surface wrap body should be projected on the input boundaries

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe bool NXOpen.CAE.FluidDomainBuilder.SpecifyElementSize
getset

Returns or sets the specify element size flag.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")

unsafe bool NXOpen.CAE.FluidDomainBuilder.UseAutomaticRefinement
getset

Returns or sets the use automatic refinement flag.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_adv_fluid_mod ("NX Advanced Fluid Modeling - Basic") OR sc_acou_meshing (" SC Acoustic Meshing")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.